# eric4.DocumentationTools.__init__

Package implementing interfaces to source code documentation tools.

It implements the high level interface and all the supporting dialogs for the supported source code documentors.

### Classes

DocumentationTools | Class implementing the high level interface.

### Functions

None

## DocumentationTools

Class implementing the high level interface.

### Derived from

QObject

### Methods

DocumentationTools | Constructor
__doEricapi | Private slot to perform the eric4-api api generation.
__doEricdoc | Private slot to perform the eric4-doc api documentation generation.
getActions | Public method to get a list of all actions.
initActions | Public method to initialize the API documentation actions.
initMenu | Public method called to build the project API documentation submenu.

#### DocumentationTools (Constructor)

DocumentationTools(project, parent)

Constructor

project
  project object of the current project
parent
  parent object of this class (QObject)

#### DocumentationTools.__doEricapi

__doEricapi()

Private slot to perform the eric4-api api generation.

#### DocumentationTools.__doEricdoc

__doEricdoc()

Private slot to perform the eric4-doc api documentation generation.

#### DocumentationTools.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E4Action)

#### DocumentationTools.initActions

initActions()

Public method to initialize the API documentation actions.

#### DocumentationTools.initMenu

initMenu()

Public method called to build the project API documentation submenu.

Returns:
  the menu or None

Up